*** Variables ***
# ENVIRONMENTS
${URL}     https://lzych.pl/biblioteka/

${BROWSER}        Chrome
${username}       admin_user@poczta.wwsi.edu.pl
${password}       ZAQ!2wsx
${name}           p@p.p
${pass}           123456
${timeout}        10 sec


&{Global}              Home=//*[@class='md list-md hydrated']//*[contains(text(),'Home')]
...                    Kontakt=//*[@class='md list-md hydrated']//*[contains(text(),'Kontakt')]
...                    Profil=//*[@class='md list-md hydrated']//*[contains(text(),'Profil')]
...                    Dolacz=//*[@class='md list-md hydrated']//*[contains(text(),'Dołącz')]
...                    Button_register=//*[@class='md hydrated']//ion-button
...                    Button_accept=//*[@class='md hydrated']//ion-toggle
...                    Button_register_login=//*[@class='md hydrated']//*[contains(text(),'Zaloguj się')]
...                    Button_login=//*[@class='md hydrated']//*[contains(text(),'Zaloguj się')]
...                    Button_login_register=//*[@class='md hydrated']//*[contains(text(),'Zarejestruj się')]
...                    Error=//ion-toast
...                    Email_input=//*[@type='email']//input
...                    Password_input=//*[@type='password']//input
...                    Ksiazki=//*[@class='md list-md hydrated']//*[contains(text(),'Książki')]
...                    Api=//*[@class='md list-md hydrated']//*[contains(text(),'API')]
...                    MojeKsiazki=//*[@class='md list-md hydrated']//*[contains(text(),'Moje książki')]
...                    Logout=//*[@class='md list-md hydrated']//*[contains(text(),'Wyloguj się')]
...                    Search=//*[@class='md list-md hydrated']//*[contains(text(),'Wyszukiwarka')]
...                    Api=//*[@class='md list-md hydrated']//*[contains(text(),'API')]
...                    AddBook=//*[@class='md fab-horizontal-end fab-vertical-bottom hydrated']//ion-fab-button




